<template>
  <div class="advance">
    <div class="advance-left">
      <left
          @showHistory="showHistory"
          ref="list-advances"
      />
    </div>
    <div class="advance-right">
     <right
         @canceledApplication="$refs['canceled-application'].open()"
         @showHistory="showHistory"
     />
    </div>

    <ObModal
        ref="history-application"
        size="medium"
        :title="'История авансирования'"
        :is-read-only="true"
        :is-show-controls="true"
        :is-center="false"
    >
      <HistoryAdvance :advance="advance"/>
    </ObModal>

    <ObModal
        ref="canceled-application"
        size="small"
        :title="'Аннулирование заявки на аванс'"
    >
      <CanceledApplication @closeCancel="closeCancel"/>
    </ObModal>

  </div>
</template>

<script>
  import Left from './left';
  import Right from './right';
  import ObModal from 'common-components/src/obComponents/obModal';
  import HistoryAdvance from './historyAdvance';
  import CanceledApplication from './canceledApplication';

  export default {
    name: "advancePayment",
    components: {
      Left,
      Right,
      ObModal,
      HistoryAdvance,
      CanceledApplication
    },
    data() {
      return {
        advance: ''
      }
    },
    methods: {
      showHistory(params) {
        this.$refs['history-application'].open();
        this.advance = params
      },
      closeCancel() {
        this.$refs['canceled-application'].close();
        this.$refs['list-advances'].showPageOfCanceled();
      }
    }
  }
</script>

<style lang="scss">
  .advance{
    display: flex;
    flex-direction: row;
    padding: 20px;
    width: 100%;
    &-left{
      width: 100%;
    }
    &-right{
      margin-left: 10px;
      width: 500px;
      padding: 40px;
      overflow-y: scroll;
      min-width: 500px;
    }
    &-left, &-right{
      background: #fff;
    }
  }
</style>